<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_32155ccb3" . "42f1990430" . "93041c1b3b" . "b57" => base64_decode("ZnJvbV" . "9mb2xk" . "ZXJfaW" . "Q="), "_80e7ee43fdf838101" . "a2303a7b4a50efc" => base64_decode("dG9fZ" . "m9sZG" . "VyX2l" . "k"));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_32155ccb342f199043093041" . "c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_80e7ee43fdf" . "838101a2303a" . "7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}